/*
 * @Author: zjq
 * @description 考试培训数据统计
 */
import request from '@/utils/request';

/**
 * @description 获取缺考人员列表
 * @param {object} params
 */
export const getMissExamUsersData = (params?: object) => {
    return request({
        url: '/api/v1/UserExam/GetUnExamUsers',
        method: 'post',
        data: params,
    });
};

/**
 * @description 获取成绩统计分析列表
 * @param {object} params
 */
export const getScoresAnalysisData = (params?: object) => {
    return request({
        url: '/api/v1/UserExam/GetUserExamResults',
        method: 'post',
        data: params,
    });
};

/**
 * @description 获取培训结果明细表数据
 * @param {object} params
 */
export const getTrainResultAnalysisData = (params?: object) => {
    return request({
        url: '/api/v1/TrainRecord/AnalysisTrainResult',
        method: 'post',
        data: params,
    });
};

/**
 * @description 获取学习完成度数据
 * @param {object} params
 */
export const getTrainCalcuteAnalysisData = (params?: object) => {
    return request({
        url: '/api/v1/TrainRecord/CalcuteAnalysisRate',
        method: 'post',
        data: params,
    });
};